Description: ntpath is not in python-minimal, replace module-level imports with
 local imports in functions that actually require ntpath.
Forwarded: not-needed
--- a/Lib/pathlib/__init__.py
+++ b/Lib/pathlib/__init__.py
@@ -6,7 +6,6 @@ operating systems.
 """
 
 import io
-import ntpath
 import operator
 import os
 import posixpath
@@ -516,6 +515,7 @@ class PurePath:
     def is_reserved(self):
         """Return True if the path contains one of the special names reserved
         by the system, if any."""
+        import ntpath
         import warnings
         msg = ("pathlib.PurePath.is_reserved() is deprecated and scheduled "
                "for removal in Python 3.15. Use os.path.isreserved() to "
@@ -614,6 +614,7 @@ class PureWindowsPath(PurePath):
     On a Windows system, instantiating a PurePath should return this object.
     However, you can also instantiate it directly on any system.
     """
+    import ntpath
     parser = ntpath
     __slots__ = ()
 
